# List of available endpoints

List of endpoints available within the systems. Using the "status" parameter, you can list the approved 
endpoints, or endpoints pending approval. In default state, without the parameter, the endpoint returns 
the approved endpoints.

Endpoint: GET /api/system/endpoints
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `status` (string)
    supported values: approved, pending
    Example: "approved"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.endpoints` (array, required)

  - `data.endpoints.endpoint` (string, required)
    endpoint identifier

  - `data.endpoints.description` (string, required)
    localized endpoint name

  - `data.endpoints.group` (object, required)

  - `data.endpoints.group.id` (integer, required)
    endpoint group ID

  - `data.endpoints.group.description` (string, required)
    localized group name

  - `data.endpoints.access` (string, required)
    read/write rights. Possible values: read, write, both
    Enum: "read", "write", "both"

  - `data.endpoints.action` (string,null, required)
    action for approval of endpoints. Possible values [insert, delete, update], or NULL for endpoints already approved.
    Enum: "add", "edit", "delete", null

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


